package Klausur;

public class Firma {

	public static void main(String[] args) {

		Mitarbeiter mi2 = new Mitarbeiter("Mayer", "12.12.1999");
		((Manager)mi2).getAbteilung();
	}
}

class Mitarbeiter extends Object {
	private String name;
	private double gehalt;
	private String geburtsdatum;

	public Mitarbeiter(String name, String geburtsdatum) {
		this(name, 35000, geburtsdatum);
	}

	public Mitarbeiter(String name, double gehalt, String geburtsdatum) {
		this.name = name;
		this.gehalt = gehalt;
		this.geburtsdatum = geburtsdatum;
	}

	public String getDetails() {
		return name;
	}

	public double getGehalt() {
		return gehalt;
	}

	public void setGehalt(double gehalt) {
		this.gehalt = gehalt;
	}
}

class Manager extends Mitarbeiter {
	private String abteilung;

	public Manager(String name, String geburtsdatum, String abteilung) {
		super(name, 65000, geburtsdatum); // das MUSS zuerst gemacht werden!
		this.abteilung = abteilung;
	}

	public String getDetails() {
		return super.getDetails() + " " + abteilung;
	}

	public String getAbteilung() {
		return abteilung;
	}
}
